### GET /backstage-gallery/ Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /backstage-gallery/ ```markdown ### Responses #### 200 - Successful Response **BackstageImageGetAllResponsePublic** - **images** (array (string)) (required) (example: ["https://example.com/image1.jpg","https://example.com/image2.jpg"]) ### Example Usage ```bash curl -X GET "https://api.example.com/backstage-gallery/" ``` ``` -------------------------------- ### GET /blog Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /blog ```markdown ### Responses #### 200 - Successful Response - Array of BlogArticleSummary ### Example Usage ```bash curl -X GET "https://api.example.com/blog" ``` ``` -------------------------------- ### GET /projects Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /projects ```markdown ### Parameters - **category** (union, query, optional) ### Responses #### 200 - Successful Response - Array of ProjectInDB #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/projects?category=value" ``` ``` -------------------------------- ### GET /videos/list Source: https://api.chapterfour.ru/openapi.json Получить список видео с пагинацией ```markdown ### Parameters - **skip** (integer, query, optional) - **limit** (integer, query, optional) ### Responses #### 200 - Successful Response - Array of VideoResponse #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/videos/list?skip=0&limit=10" ``` ``` -------------------------------- ### GET /admin/blog/articles Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/blog/articles ```markdown ### Responses #### 200 - Successful Response - Array of BlogArticleInDB ### Example Usage ```bash curl -X GET "https://api.example.com/admin/blog/articles" ``` ``` -------------------------------- ### GET /admin/projects Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/projects ```markdown ### Responses #### 200 - Successful Response - Array of ProjectInDBAdmin ### Example Usage ```bash curl -X GET "https://api.example.com/admin/projects" ``` ``` -------------------------------- ### GET /blog/{slug} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /blog/{slug} ```markdown ### Parameters - **slug** (string, path, required) ### Responses #### 200 - Successful Response **BlogPublicResponse** - **id** (integer) (required) - **slug** (string) (required) - **title** (string) (required) - **description** (string) - **created_at** (string (date-time)) - **data** (array (object)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/blog/{slug}" ``` ``` -------------------------------- ### GET /admin/applications Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/applications ```markdown ### Parameters - **skip** (integer, query, optional) - **limit** (integer, query, optional) - **search** (string, query, optional) ### Responses #### 200 - Successful Response - Array of ApplicationResponse #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/applications?skip=0&limit=10&search=" ``` ``` -------------------------------- ### GET /admin/projects/backstage-images Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/projects/backstage-images ```markdown ### Parameters - **context** (union, query, optional) - **context_id** (union, query, optional) ### Responses #### 200 - Successful Response **BackstageImageGetAllResponse** - **images** (array (BackstageImageExtendedInDB)) (required) Array items: - **id** (string (uuid)) (required) - **file_id** (string (uuid)) (required) - **context** (string) (required) - **context_id** (string) (required) - **position** (integer) (required) - **url** (string) (required) - **updated_at** (string (date-time)) (required) - **created_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/projects/backstage-images?context=value&context_id=value" ``` ``` -------------------------------- ### GET /admin/backstage-extended Source: https://api.chapterfour.ru/openapi.json Получить все backstage изображения с фильтрацией по контексту ```markdown ### Parameters - **context** (union, query, optional) - **context_id** (union, query, optional) ### Responses #### 200 - Successful Response **BackstageImageGetAllResponseExtended** - **images** (array (BackstageImageExtendedInDB)) (required) Array items: - **id** (string (uuid)) (required) - **file_id** (string (uuid)) (required) - **context** (string) (required) - **context_id** (string) (required) - **position** (integer) (required) - **url** (string) (required) - **updated_at** (string (date-time)) (required) - **created_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/backstage-extended?context=value&context_id=value" ``` ``` -------------------------------- ### GET /commercial Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /commercial ```markdown ### Responses #### 200 - Successful Response **CommercialProposalInDB** - **frame_contract_url** (string) - **commercial_offer_url** (string) - **contacts** (object) - **telegram_username** (string) - **email** (string) - **phone** (string) - **blocks** (array (CommercialBlockInDB)) Array items: - **text** (string) - **description** (string) - **projects** (array (CommercialProjectSummary)) (required) Array items: - **title** (string) (required) - **cover_url** (string) - **short_video_url** (string) - **clickable** (boolean) (required) - **position** (integer) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/commercial" ``` ``` -------------------------------- ### GET /admin/commercial Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/commercial ```markdown ### Responses #### 200 - Successful Response - Array of CommercialProposalAdminSummary ### Example Usage ```bash curl -X GET "https://api.example.com/admin/commercial" ``` ``` -------------------------------- ### GET /projects/{project_id} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /projects/{project_id} ```markdown ### Parameters - **project_id** (integer, path, required) ### Responses #### 200 - Successful Response **ProjectInDB** - **id** (integer) (required) (example: 1) - **title** (string) (required) (example: "Проект 1") - **category** (string) - **date** (string (date-time)) - **content** (string) - **cover_url** (string) - **short_video_url** (string) - **main_video_url** (string) - **backstage_video_url** (string) - **users** (array (ProjectUser)) (example: [{"role":"Продюсер","user":{"description":"Продюсер","id":"123e4567-e89b-12d3-a456-426614174000","title":"Федор Якушкин","username":"fyakushkin"}},{"role":"Режиссёр","user":{"description":"Режиссёр","id":"223e4567-e89b-12d3-a456-426614174001","title":"Даниил Шведов","username":"dshvedov"}}]) Array items: - **user** (object) (required) - **id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **username** (string) (required) (example: "fyakushkin") - **photo_url** (string) - **title** (string) - **description** (string) - **long_description** (string) - **showreel_url** (string) - **position** (integer) - **telegram_username** (string) - **email** (string) - **phone** (string) - **telegram_channel** (string) - **is_active** (boolean) (example: true) - **is_superuser** (boolean) (example: false) - **visible** (boolean) (example: true) - **backstage_images** (array (BackstageImageURL)) Array items: - **url** (string) (required) - **commercial_filled** (boolean) - **role** (string) (required) (example: "Продюсер") - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **visible** (boolean) (example: false) - **visible_shared** (boolean) (example: false) - **pin** (integer) - **is_published** (boolean) (example: false) - **clickable** (boolean) (example: true) - **backstage_images** (array (BackstageImageURL)) Array items: #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/projects/{project_id}" ``` ``` -------------------------------- ### GET /users/{username}/projects Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /users/{username}/projects ```markdown ### Parameters - **username** (string, path, required) ### Responses #### 200 - Successful Response - Array of ProjectInDB #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/users/{username}/projects" ``` ``` -------------------------------- ### GET /admin/file-specs Source: https://api.chapterfour.ru/openapi.json Получить рекомендации по характеристикам файлов для загрузки ```markdown ### Responses #### 200 - Successful Response **FileSpecificationResponse** - **cover** (object) (required) (example: {"description":"Обложка проекта","format":"png","max_size":"200 KB","resolution":"1200-1920 px"}) - **short_video** (object) (required) (example: {"bitrate":"1000 kbps","description":"Короткое видео проекта","duration":"10-15 секунд","format":"mp4","resolution":"960×540"}) - **main_video** (object) (required) (example: {"bitrate":"5000 kbps","description":"Основное видео проекта","format":"mp4","max_size":"500 MB","resolution":"1920×1080"}) - **backstage_image** (object) (required) (example: {"description":"Бэкстейдж изображение","format":"jpg, png","max_size":"500 KB","resolution":"1200-1920 px"}) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/file-specs" ``` ``` -------------------------------- ### GET /admin/files Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/files ```markdown ### Parameters - **sort_by** (string, query, optional) - **skip** (integer, query, optional) - **limit** (integer, query, optional) - **search** (string, query, optional) ### Responses #### 200 - Successful Response - Array of FileResponseModel #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/files?sort_by=filename&skip=0&limit=10&search=" ``` ``` -------------------------------- ### GET /users Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /users ```markdown ### Responses #### 200 - Successful Response - Array of UserInDBBase ### Example Usage ```bash curl -X GET "https://api.example.com/users" ``` ``` -------------------------------- ### GET /admin/users/by-username/{username}/projects Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/users/by-username/{username}/projects ```markdown ### Parameters - **username** (string, path, required) ### Responses #### 200 - Successful Response - Array of ProjectInDBAdmin #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/users/by-username/{username}/projects" ``` ``` -------------------------------- ### GET /admin/projects/{project_id} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/projects/{project_id} ```markdown ### Parameters - **project_id** (integer, path, required) ### Responses #### 200 - Successful Response **ProjectInDBAdmin** - **id** (integer) (required) (example: 1) - **title** (string) (required) (example: "Проект 1") - **category** (string) - **date** (string (date-time)) - **content** (string) - **cover_url** (string) - **short_video_url** (string) - **main_video_url** (string) - **backstage_video_url** (string) - **users** (array (ProjectUser)) (example: [{"role":"Продюсер","user":{"description":"Продюсер","id":"123e4567-e89b-12d3-a456-426614174000","title":"Федор Якушкин","username":"fyakushkin"}},{"role":"Режиссёр","user":{"description":"Режиссёр","id":"223e4567-e89b-12d3-a456-426614174001","title":"Даниил Шведов","username":"dshvedov"}}]) Array items: - **user** (object) (required) - **id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **username** (string) (required) (example: "fyakushkin") - **photo_url** (string) - **title** (string) - **description** (string) - **long_description** (string) - **showreel_url** (string) - **position** (integer) - **telegram_username** (string) - **email** (string) - **phone** (string) - **telegram_channel** (string) - **is_active** (boolean) (example: true) - **is_superuser** (boolean) (example: false) - **visible** (boolean) (example: true) - **backstage_images** (array (BackstageImageURL)) Array items: - **url** (string) (required) - **commercial_filled** (boolean) - **role** (string) (required) (example: "Продюсер") - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **visible** (boolean) (example: false) - **visible_shared** (boolean) (example: false) - **pin** (integer) - **is_published** (boolean) (example: false) - **clickable** (boolean) (example: true) - **backstage_images** (array (BackstageImageExtendedInDB)) Array items: - **id** (string (uuid)) (required) - **file_id** (string (uuid)) (required) - **context** (string) (required) - **context_id** (string) (required) - **position** (integer) (required) - **url** (string) (required) - **updated_at** (string (date-time)) (required) - **created_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/projects/{project_id}" ``` ``` -------------------------------- ### GET /videos/{video_id} Source: https://api.chapterfour.ru/openapi.json Получить видео по ID ```markdown ### Parameters - **video_id** (string (uuid), path, required) ### Responses #### 200 - Successful Response **VideoResponse** - **id** (string (uuid)) (required) - **original_filename** (string) (required) - **status** (string) (required) - **progress** (integer) (required) - **playlist_id** (string (uuid)) - **playlist_url** (string) - **error_message** (string) - **created_at** (string (date-time)) (required) - **updated_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/videos/{video_id}" ``` ``` -------------------------------- ### GET /admin/commercial/{proposal_id} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/commercial/{proposal_id} ```markdown ### Parameters - **proposal_id** (integer, path, required) ### Responses #### 200 - Successful Response **CommercialProposalAdminInDB** - **id** (integer) (required) - **user_id** (string (uuid)) - **is_main** (boolean) (required) - **frame_contract_file_id** (string (uuid)) - **commercial_offer_file_id** (string (uuid)) - **blocks** (array (CommercialBlockAdminInDB)) Array items: - **id** (integer) (required) - **text** (string) - **description** (string) - **project_ids** (array (integer)) (required) - **position** (integer) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/commercial/{proposal_id}" ``` ``` -------------------------------- ### GET /admin/blog/articles/{article_id} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/blog/articles/{article_id} ```markdown ### Parameters - **article_id** (integer, path, required) ### Responses #### 200 - Successful Response **BlogArticleInDB** - **id** (integer) (required) - **slug** (string) (required) - **title** (string) (required) - **description** (string) - **visible** (boolean) (required) - **blocks** (array (BlogBlockInDB)) Array items: - **id** (integer) (required) - **type** (string) (required) - **position** (integer) (required) - **payload** (object) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/blog/articles/{article_id}" ``` ``` -------------------------------- ### GET /files/{file_id}/url Source: https://api.chapterfour.ru/openapi.json Получить полный URL для файла по его ID ```markdown ### Parameters - **file_id** (string (uuid), path, required) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/files/{file_id}/url" ``` ``` -------------------------------- ### GET /admin/users/by-username/{username} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/users/by-username/{username} ```markdown ### Parameters - **username** (string, path, required) ### Responses #### 200 - Successful Response **UserInDBBase** - **id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **username** (string) (required) (example: "fyakushkin") - **photo_url** (string) - **title** (string) - **description** (string) - **long_description** (string) - **showreel_url** (string) - **position** (integer) - **telegram_username** (string) - **email** (string) - **phone** (string) - **telegram_channel** (string) - **is_active** (boolean) (example: true) - **is_superuser** (boolean) (example: false) - **visible** (boolean) (example: true) - **backstage_images** (array (BackstageImageURL)) Array items: - **url** (string) (required) - **commercial_filled** (boolean) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/users/by-username/{username}" ``` ``` -------------------------------- ### GET /admin/projects-publish/{project_id}/publish-status Source: https://api.chapterfour.ru/openapi.json Получить статус публикации проекта и информацию о недостающих полях ```markdown ### Parameters - **project_id** (integer, path, required) ### Responses #### 200 - Successful Response **ProjectPublishResponse** - **success** (boolean) (required) - **message** (string) (required) - **required_fields** (array (string)) - **missing_fields** (array (string)) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/projects-publish/{project_id}/publish-status" ``` ``` -------------------------------- ### GET /health Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /health ```markdown ### Responses #### 200 - Successful Response ### Example Usage ```bash curl -X GET "https://api.example.com/health" ``` ``` -------------------------------- ### Schema: ProjectCreate Source: https://api.chapterfour.ru/openapi.json Schema definition for ProjectCreate ```markdown ## Schema: ProjectCreate Schema definition for ProjectCreate **Type:** object - **title** (string) (required) (example: "Проект 1") - **category** (string) (required) (example: "BROADCAST") - **date** (string (date-time)) (required) (example: "2024-01-01") - **content** (string) (required) (example: "Содержание проекта") - **participants** (array (ProjectUserCreate)) (required) (example: [{"role":"Продюсер","user_id":"123e4567-e89b-12d3-a456-426614174000"},{"role":"Режиссёр","user_id":"223e4567-e89b-12d3-a456-426614174001"}]) Array items: - **user_id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **role** (string) (required) (example: "Продюсер") - **cover_id** (string (uuid)) - **short_video_id** (string (uuid)) - **backstage_video_id** (string (uuid)) - **main_video_id** (string (uuid)) - **visible** (boolean) (example: false) - **pin** (integer) ``` -------------------------------- ### POST /admin/backstage-extended Source: https://api.chapterfour.ru/openapi.json Создать backstage изображение с указанием контекста ```markdown ### Request Body **Content-Type:** application/json - **file_id** (string (uuid)) (required) - **context** (string) (required) (example: "main") - **context_id** (string) - **position** (integer) (example: 0) ### Responses #### 200 - Successful Response **BackstageImageExtendedInDB** - **id** (string (uuid)) (required) - **file_id** (string (uuid)) (required) - **context** (string) (required) - **context_id** (string) (required) - **position** (integer) (required) - **url** (string) (required) - **updated_at** (string (date-time)) (required) - **created_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/backstage-extended" \ -H "Content-Type: application/json" \ -d '{ "file_id": "string", "context": "main", "context_id": "123e4567-e89b-12d3-a456-426614174000", "position": 0 }' ``` ``` -------------------------------- ### POST /admin/invitations Source: https://api.chapterfour.ru/openapi.json Создать новое приглашение ```markdown ### Parameters - **base_url** (string, query, optional) ### Responses #### 200 - Successful Response **InvitationResponse** - **id** (integer) (required) - **token** (string) (required) - **created_by** (string (uuid)) (required) - **created_at** (string (date-time)) (required) - **expires_at** (string (date-time)) (required) - **is_used** (boolean) (required) - **used_at** (string (date-time)) - **used_by** (string (uuid)) - **invitation_url** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/invitations?base_url=https://c4adm.chapterfour.ru" ``` ``` -------------------------------- ### GET /admin/files/unused Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/files/unused ```markdown ### Responses #### 200 - Successful Response - Array of FileResponseModel ### Example Usage ```bash curl -X GET "https://api.example.com/admin/files/unused" ``` ``` -------------------------------- ### POST /users/register-by-invitation Source: https://api.chapterfour.ru/openapi.json Регистрация нового пользователя по приглашению ```markdown ### Request Body **Content-Type:** application/json - **token** (string) (required) - **username** (string) (required) - **title** (string) (required) - **description** (string) - **password** (string) (required) - **confirm_password** (string) (required) - **photo_id** (string (uuid)) - **showreel_video_id** (string (uuid)) ### Responses #### 200 - Successful Response **RegisterByInvitationResponse** - **message** (string) (required) - **user_id** (string (uuid)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/users/register-by-invitation" \ -H "Content-Type: application/json" \ -d '{ "token": "string", "username": "string", "title": "string", "description": "value", "password": "string", "confirm_password": "string", "photo_id": "value", "showreel_video_id": "value" }' ``` ``` -------------------------------- ### POST /videos/upload Source: https://api.chapterfour.ru/openapi.json Загружает видео файл и запускает его обработку ```markdown ### Request Body **Content-Type:** multipart/form-data - **file** (string (binary)) (required) ### Responses #### 201 - Successful Response **VideoUploadResponse** - **id** (string (uuid)) (required) - **original_filename** (string) (required) - **status** (string) (required) - **progress** (integer) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/videos/upload" \ -H "Content-Type: application/json" \ -d '{ "file": "string" }' ``` ``` -------------------------------- ### GET /admin/users Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/users ```markdown ### Parameters - **include_inactive** (boolean, query, optional) ### Responses #### 200 - Successful Response - Array of UserInDBBaseAdmin #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/users?include_inactive=false" ``` ``` -------------------------------- ### POST /admin/projects-publish/{project_id}/publish Source: https://api.chapterfour.ru/openapi.json Опубликовать проект с проверкой обязательных полей ```markdown ### Parameters - **project_id** (integer, path, required) ### Responses #### 200 - Successful Response **ProjectPublishResponse** - **success** (boolean) (required) - **message** (string) (required) - **required_fields** (array (string)) - **missing_fields** (array (string)) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/projects-publish/{project_id}/publish" ``` ``` -------------------------------- ### POST /register-by-invitation Source: https://api.chapterfour.ru/openapi.json Регистрация нового пользователя по приглашению ```markdown ### Request Body **Content-Type:** application/json - **token** (string) (required) - **username** (string) (required) - **title** (string) (required) - **description** (string) - **password** (string) (required) - **confirm_password** (string) (required) - **photo_id** (string (uuid)) - **showreel_video_id** (string (uuid)) ### Responses #### 200 - Successful Response **RegisterByInvitationResponse** - **message** (string) (required) - **user_id** (string (uuid)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/register-by-invitation" \ -H "Content-Type: application/json" \ -d '{ "token": "string", "username": "string", "title": "string", "description": "value", "password": "string", "confirm_password": "string", "photo_id": "value", "showreel_video_id": "value" }' ``` ``` -------------------------------- ### GET /admin/users/me Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/users/me ```markdown ### Responses #### 200 - Successful Response **UserInDB** - **id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **username** (string) (required) (example: "fyakushkin") - **photo_id** (string (uuid)) - **title** (string) (required) (example: "Федор Якушкин") - **description** (string) - **is_superuser** (boolean) (example: false) - **is_active** (boolean) (example: true) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/users/me" ``` ``` -------------------------------- ### Schema: ApplicationCreate Source: https://api.chapterfour.ru/openapi.json Schema definition for ApplicationCreate ```markdown ## Schema: ApplicationCreate Schema definition for ApplicationCreate **Type:** object - **name** (string) - **phone** (string) (required) (example: "+7 999 999-99-99") - **region** (string) - **page** (string) - **tariff** (string) - **file_id** (string (uuid)) - **contact_method** (string) - **is_quick_call** (boolean) (required) (example: true) ``` -------------------------------- ### Schema: ProjectUserCreate Source: https://api.chapterfour.ru/openapi.json Schema definition for ProjectUserCreate ```markdown ## Schema: ProjectUserCreate Schema definition for ProjectUserCreate **Type:** object - **user_id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **role** (string) (required) (example: "Продюсер") ``` -------------------------------- ### POST /admin/projects-publish/{project_id}/unpublish Source: https://api.chapterfour.ru/openapi.json Снять проект с публикации ```markdown ### Parameters - **project_id** (integer, path, required) ### Responses #### 200 - Successful Response **ProjectPublishResponse** - **success** (boolean) (required) - **message** (string) (required) - **required_fields** (array (string)) - **missing_fields** (array (string)) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/projects-publish/{project_id}/unpublish" ``` ``` -------------------------------- ### GET /commercial/{user_name} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /commercial/{user_name} ```markdown ### Parameters - **user_name** (string, path, required) ### Responses #### 200 - Successful Response **CommercialProposalInDB** - **frame_contract_url** (string) - **commercial_offer_url** (string) - **contacts** (object) - **telegram_username** (string) - **email** (string) - **phone** (string) - **blocks** (array (CommercialBlockInDB)) Array items: - **text** (string) - **description** (string) - **projects** (array (CommercialProjectSummary)) (required) Array items: - **title** (string) (required) - **cover_url** (string) - **short_video_url** (string) - **clickable** (boolean) (required) - **position** (integer) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/commercial/{user_name}" ``` ``` -------------------------------- ### Schema: BlogBlockCreate Source: https://api.chapterfour.ru/openapi.json Schema definition for BlogBlockCreate ```markdown ## Schema: BlogBlockCreate Schema definition for BlogBlockCreate **Type:** object - **type** (string) (required) (example: "text-block-left") - **payload** (object) (required) (example: {"text":"Мы лучшая компания","title":"О нас"}) - **position** (integer) ``` -------------------------------- ### Schema: BlogArticleCreate Source: https://api.chapterfour.ru/openapi.json Schema definition for BlogArticleCreate ```markdown ## Schema: BlogArticleCreate Schema definition for BlogArticleCreate **Type:** object - **slug** (string) (required) (example: "about-us") - **title** (string) (required) (example: "О нас") - **description** (string) - **visible** (boolean) ``` -------------------------------- ### GET /admin/files/{file_id} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /admin/files/{file_id} ```markdown ### Parameters - **file_id** (string (uuid), path, required) ### Responses #### 200 - Successful Response #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/admin/files/{file_id}" ``` ``` -------------------------------- ### POST /admin/projects/backstage-images Source: https://api.chapterfour.ru/openapi.json API endpoint for POST /admin/projects/backstage-images ```markdown ### Parameters - **file_id** (string (uuid), query, required) ### Responses #### 200 - Successful Response **BackstageImageGetAllResponseAdmin** - **images** (array (BackstageImageInDB)) (required) Array items: - **id** (string (uuid)) - **file_id** (string (uuid)) (required) - **url** (string) (required) - **updated_at** (string (date-time)) (required) - **created_at** (string (date-time)) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/projects/backstage-images?file_id=string" ``` ``` -------------------------------- ### POST /admin/blog/articles Source: https://api.chapterfour.ru/openapi.json API endpoint for POST /admin/blog/articles ```markdown ### Request Body **Content-Type:** application/json - **slug** (string) (required) (example: "about-us") - **title** (string) (required) (example: "О нас") - **description** (string) - **visible** (boolean) ### Responses #### 200 - Successful Response **BlogArticleInDB** - **id** (integer) (required) - **slug** (string) (required) - **title** (string) (required) - **description** (string) - **visible** (boolean) (required) - **blocks** (array (BlogBlockInDB)) Array items: - **id** (integer) (required) - **type** (string) (required) - **position** (integer) (required) - **payload** (object) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/admin/blog/articles" \ -H "Content-Type: application/json" \ -d '{ "slug": "about-us", "title": "О нас", "description": "Короткое описание статьи", "visible": "true" }' ``` ``` -------------------------------- ### GET /users/{username} Source: https://api.chapterfour.ru/openapi.json API endpoint for GET /users/{username} ```markdown ### Parameters - **username** (string, path, required) ### Responses #### 200 - Successful Response **UserInDBBase** - **id** (string (uuid)) (required) (example: "123e4567-e89b-12d3-a456-426614174000") - **username** (string) (required) (example: "fyakushkin") - **photo_url** (string) - **title** (string) - **description** (string) - **long_description** (string) - **showreel_url** (string) - **position** (integer) - **telegram_username** (string) - **email** (string) - **phone** (string) - **telegram_channel** (string) - **is_active** (boolean) (example: true) - **is_superuser** (boolean) (example: false) - **visible** (boolean) (example: true) - **backstage_images** (array (BackstageImageURL)) Array items: - **url** (string) (required) - **commercial_filled** (boolean) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/users/{username}" ``` ```